org.springframework.web.bind.support

## Class SimpleSessionStatus

- java.lang.Object
- - org.springframework.web.bind.support.SimpleSessionStatus

- All Implemented Interfaces:
    SessionStatus

      public class SimpleSessionStatus
      extends Object
      implements SessionStatus

  Simple implementation of the `SessionStatus` interface, keeping the `complete` flag as an instance variable.
  Since:
    2.5
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSessionStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComplete()` Return whether the current handler's session processing has been marked as complete.
    `void` | `setComplete()` Mark the current handler's session processing as complete, allowing for cleanup of session attributes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSessionStatus

          public SimpleSessionStatus()

  - ### Method Detail

    - #### setComplete

          public void setComplete()

      Description copied from interface: `SessionStatus`
      Mark the current handler's session processing as complete, allowing for cleanup of session attributes.
      Specified by:
        `setComplete` in interface `SessionStatus`

    - #### isComplete

          public boolean isComplete()

      Description copied from interface: `SessionStatus`
      Return whether the current handler's session processing has been marked as complete.
      Specified by:
        `isComplete` in interface `SessionStatus`